]> git.pld-linux.org Git - packages/pulseaudio.git/commitdiff
- more versioned install time dependencies
authorJakub Bogusz <qboosh@pld-linux.org>
Fri, 14 Oct 2011 21:24:54 +0000 (21:24 +0000)
committercvs2git <feedback@pld-linux.org>
Sun, 24 Jun 2012 12:13:13 +0000 (12:13 +0000)
Changed files:
    pulseaudio.spec -> 1.93

pulseaudio.spec

index 73c876dfccb79131bcb9ca6030e3fddae47321f2..66c5c285908996469426be2118d5bd0ea1193325 100644 (file)
@@ -64,6 +64,8 @@ BuildRequires:        xorg-lib-libX11-devel
 BuildRequires: xorg-lib-libXtst-devel
 BuildRequires: xz
 Requires:      %{name}-libs = %{version}-%{release}
+Requires:      avahi >= 0.6.0
+Requires:      dbus >= 1.3.0
 Obsoletes:     polypaudio
 BuildRoot:     %{tmpdir}/%{name}-%{version}-root-%(id -u -n)
 
@@ -136,10 +138,16 @@ equalizer).
 Summary:       PulseAudio libraries
 Summary(pl.UTF-8):     Biblioteki PulseAudio
 Group:         Libraries
+Requires:      dbus-libs >= 1.3.0
 Requires:      glib2 >= 1:2.4.0
+Requires:      json-c >= 0.9
 Requires:      libasyncns >= 0.1
+Requires:      libltdl >= 2:2.2
 Requires:      libsamplerate >= 0.1.0
 Requires:      libsndfile >= 1.0.20
+Requires:      libxcb >= 1.6
+Requires:      orc >= 0.4.11
+Requires:      speex >= 1:1.2-beta3
 Obsoletes:     polypaudio-libs
 Conflicts:     polypaudio < 0.7-4
 
@@ -277,6 +285,7 @@ Summary(pl.UTF-8):  ModuĊ‚ HAL dla PulseAudio
 License:       GPL v2+
 Group:         Libraries
 Requires:      %{name} = %{version}-%{release}
+%{?with_hal:Requires:  hal >= 0.5.11}
 
 %description hal
 HAL module for PulseAudio to detect available audio hardware and load
This page took 0.104449 seconds and 4 git commands to generate.